Package: io.vertx.groovy.ext.shell.term

## [Groovy] Class Term

- io.vertx.groovy.ext.shell.term.Term

- The terminal.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Term (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `close()` Close the connection to terminal.
    `Term` | `closeHandler(io.vertx.core.Handler<java.lang.Void> handler)` Set a handler that will be called when the terminal is closed.
    `Term` | `echo(java.lang.String text)` Echo some text in the terminal, escaped if necessary.
    `java.lang.Object` | `getDelegate()`
    `Term` | `interruptHandler(SignalHandler handler)` Set an interrupt signal handler on the term.
    `long` | `lastAccessedTime()` @return Returns: the last time this term received input
    `void` | `readline(java.lang.String prompt, io.vertx.core.Handler<java.lang.String> lineHandler)` Prompt the user a line of text.
    `void` | `readline(java.lang.String prompt, io.vertx.core.Handler<java.lang.String> lineHandler, io.vertx.core.Handler<Completion> completionHandler)` Prompt the user a line of text, providing a completion handler to handle user's completion.
    `Term` | `resizehandler(io.vertx.core.Handler<java.lang.Void> handler)`
    `Term` | `setSession(Session session)` Associate the term with a session.
    `Term` | `stdinHandler(io.vertx.core.Handler<java.lang.String> handler)`
    `Term` | `suspendHandler(SignalHandler handler)` Set a suspend signal handler on the term.
    `Term` | `write(java.lang.String data)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tty` | `getDelegate, height, resizehandler, stdinHandler, type, width, write`

- - ### Constructor Detail

    - #### Term(java.lang.Object delegate)

  - ### Method Detail

    - #### void close()

      Close the connection to terminal.

    - #### Term closeHandler(io.vertx.core.Handler<java.lang.Void> handler)

      Set a handler that will be called when the terminal is closed.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `handler` - the handler

    - #### Term echo(java.lang.String text)

      Echo some text in the terminal, escaped if necessary.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `text` - the text to echo

    - #### java.lang.Object getDelegate()

    - #### Term interruptHandler(SignalHandler handler)

      Set an interrupt signal handler on the term.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `handler` - the interrupt handler

    - #### long lastAccessedTime()

      Returns:
        the last time this term received input

    - #### void readline(java.lang.String prompt, io.vertx.core.Handler<java.lang.String> lineHandler)

      Prompt the user a line of text.

      Parameters:
        `prompt` - the displayed prompt
        `lineHandler` - the line handler called with the line

    - #### void readline(java.lang.String prompt, io.vertx.core.Handler<java.lang.String> lineHandler, io.vertx.core.Handler<Completion> completionHandler)

      Prompt the user a line of text, providing a completion handler to handle user's completion.

      Parameters:
        `prompt` - the displayed prompt
        `lineHandler` - the line handler called with the line
        `completionHandler` - the completion handler

    - #### Term resizehandler(io.vertx.core.Handler<java.lang.Void> handler)

    - #### Term setSession(Session session)

      Associate the term with a session.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `session` - the session to set

    - #### Term stdinHandler(io.vertx.core.Handler<java.lang.String> handler)

    - #### Term suspendHandler(SignalHandler handler)

      Set a suspend signal handler on the term.

      Returns:
        a reference to this, so the API can be used fluently
      Parameters:
        `handler` - the suspend handler

    - #### Term write(java.lang.String data)